#ifndef  _P_COLOR_20110711_H_
#define  _P_COLOR_20110711_H_

#define MAX_LINE_COUNT 16


class CLineCtrl:public CLabel
{
public:
	int  m_nCount;

	WORD  m_wsColor[MAX_LINE_COUNT];
	BOOL  m_bsColor[MAX_LINE_COUNT];
	int   m_nsConnect[MAX_LINE_COUNT];

public:
	RECT GetBlockRect(int nIndex);

	void SetCount(int nCount);
	int  GetCount(){return(m_nCount);}
	void SetBlockAttrib(int nIndex, WORD wColor, BOOL bColor, int nConnect);
	void GetBlockAttrib(int nIndex, WORD* pwColor, BOOL* pbColor, int* pnConnect);
public:
	BOOL Show();
	void DrawBlock(int nIndex);
	void DrawConnect(int nIndex);
public:
	CLineCtrl(CObject* );
	~CLineCtrl();
};
#endif


